Package org.jfree.layouting.renderer

## Class PaginatingRenderer.DefaultFlowRendererState

- java.lang.Object
- - org.jfree.layouting.renderer.AbstractRenderer.RendererState
  - - org.jfree.layouting.renderer.PaginatingRenderer.DefaultFlowRendererState

- All Implemented Interfaces:
    `java.io.Serializable`, `State`
  Enclosing class:
    PaginatingRenderer

      protected static class PaginatingRenderer.DefaultFlowRendererState
      extends AbstractRenderer.RendererState

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DefaultFlowRendererState​(PaginatingRenderer renderer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StatefullComponent` | `restore​(LayoutProcess layoutProcess)` | Creates a restored instance of the saved component.

    - ### Methods inherited from class org.jfree.layouting.renderer.AbstractRenderer.RendererState

      `fill`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFlowRendererState

          protected DefaultFlowRendererState​(PaginatingRenderer renderer)
                                      throws StateException

      Throws:
        `StateException`

  - ### Method Detail

    - #### restore

          public StatefullComponent restore​(LayoutProcess layoutProcess)
                                     throws StateException

      Creates a restored instance of the saved component.

      By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
      Parameters:
        `layoutProcess` - the layout process that controls it all
      Returns:
        the saved state
      Throws:
        `StateException`